# Get user baskets

Retrieve all baskets for the current user (cached per user)

Endpoint: GET /aggregates/baskets
Version: 1.0.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Query parameters:

  - `active_only` (boolean)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `baskets` (array, required)

  - `baskets.name` (string, required)

  - `baskets.id` (integer, required)

  - `baskets.vanda_id` (string, required)

  - `baskets.user_id` (integer, required)

  - `baskets.underlying_ids` (array, required)

  - `baskets.active` (boolean, required)

  - `baskets.agg_px_ref_sec_id` (any, required)

  - `baskets.constituent_count` (integer, required)

  - `count` (integer, required)

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

